Subject: Re: [Bug 106241] New: shutdown(3)/close(3) behaviour is incorrect for sockets in accept(3)

From: Alan Burlison <[email-masked]>
Date: Fri, 23 Oct 2015 17:07:19 +0100

On 23/10/2015 17:00, Eric Dumazet wrote:

>> Ermm, you *really* want me to submit a patch removing 'Conforms to
>> POSIX.1-2001' from *every* Linux manpage?
>
> Only on the pages you think there is an error that matters.

If there's consensus that the current shutdown(), dup2(), close() and 
accept() behaviour are not POSIX-compliant then I can do that, sure.

>>> Have you tested the patch I sent ?
>>
>> The AF_UNIX poll one? No, I don't have the means to do so, and in any
>> case that's not a POSIX issue, just a plain bug. I'm happy to log a bug
>> if that helps.
>
> We submit patches when someone needs a fix.
>
> If not, we have more urgent issues to solve first.
>
> I wrote following test case, and confirmed the patch fixes the issue.
>
> I will submit it formally.

Thanks, works for me - the poll() issue only affects AF_UNIX sockets in 
the listen state and is easily avoided by simply not setting the output 
bits in the poll events mask, so it's not exactly high priority.

-- 
Alan Burlison
--